aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorBalint Reczey <balint@balintreczey.hu>2016-08-26 15:18:29 +0200
committerMichael Mann <mmann78@netscape.net>2016-10-13 19:26:10 +0000
commitb1cc056b12702435f6ebdc6ba0a8e17a41e159a0 (patch)
treee03028577c61da59952dd3c319aff62faf917a14 /test
parentad0a016bd2f7f82e4db8bbac13f959ad3bc7ecf4 (diff)
Remove nghttp2 code and use system' nghttp2
Update debian, macos (setup / homebrew) download script Update testsuite (don't try HPACK when build without nghttp2) Change-Id: I365e5e17bc4fab4acd81b4c39ea7189a5d1ee112 Reviewed-on: https://code.wireshark.org/review/17347 Reviewed-by: Gerald Combs <gerald@wireshark.org> Reviewed-by: Peter Wu <peter@lekensteyn.nl> Petri-Dish: Gerald Combs <gerald@wireshark.org> Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org> Reviewed-by: Michael Mann <mmann78@netscape.net>
Diffstat (limited to 'test')
-rwxr-xr-xtest/config.sh4
-rwxr-xr-xtest/suite-decryption.sh4
2 files changed, 8 insertions, 0 deletions
diff --git a/test/config.sh b/test/config.sh
index d2c31e81af..36ed52ffad 100755
--- a/test/config.sh
+++ b/test/config.sh
@@ -111,6 +111,10 @@ CAPTURE_DIR="$TESTS_DIR/captures/"
$TSHARK -v | grep -q "with Lua"
HAVE_LUA=$?
+# Check whether we need to skip a certain decryption test.
+$TSHARK -v | tr '\n' ' '| grep -q "with nghttp2"
+HAVE_NGHTTP2=$?
+
HAVE_ICONV="False"
hash iconv 2>/dev/null && HAVE_ICONV="True"
diff --git a/test/suite-decryption.sh b/test/suite-decryption.sh
index 2d7aff666d..a8ff669751 100755
--- a/test/suite-decryption.sh
+++ b/test/suite-decryption.sh
@@ -471,6 +471,10 @@ decryption_step_ikev2_aes256gcm8() {
# HTTP2 (HPACK)
decryption_step_http2() {
+ if [ $HAVE_NGHTTP2 -ne 0 ]; then
+ test_step_skipped
+ return
+ fi
env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
-Tfields -e http2.header.value \
-d tcp.port==3000,http2 \